//全体のフローチャート
async function main() {
    const obj = {
        selector: '#display', //問題文などを格納するセレクタ
        control_panel: '#control-panel', //コントロールパネルを格納するセレクタ
        local_storage_key: 'fasgram', //LocalStorageのキー
        session_goal: 20, //スコアがこの値に達したときにセッションを終了する
        //トレーニングごとに加算されるスコア
        score_description: 1,   //項目の説明
        score_read_aloud: 3,    //音読
        score_filling: 5,       //語句入力
        score_sorting: 5,       //並べかえ
        score_selecting: 5,     //語句選択
        score_fail: -5          //不正解の場合のスコアの減算値
    };
    const texts = await load_texts('./data/data.json'); //問題文の読み込み
    fasgram = new Fasgram(obj, texts); //fasgramのインスタンス
    //トレーニング実行のしきい値　スコアが[最小，最大]の間で表示
    const filter = {
        description: {min: 0, max: 5},   //項目の説明
        read_aloud: {min: 0, max: 10},   //音読
        filling: {min: 0, max: 15},      //語句入力
        sorting: {min: 10, max: 30},     //並べかえ
        selecting: {min: 20, max: 30},   //語句選択
        id_goal: 30  //それぞれの項目がこの値に達したら学習を達成したとみなす
    }
    await fasgram.auto(filter);  //自動でトレーニングを行う
    location.reload(); //ページを読み直して最初に戻る
}
//問題文の読み込み
async function load_texts(URL) {
    const data = await fetch(URL, {cache: "no-cache"});
    const obj = await data.json();
    const obj_json = JSON.stringify(obj); //json文字列に変換
    const texts = JSON.parse(obj_json); //配列に格納
    return texts;
}